//**************************************************************************
//**
//**	##   ##    ##    ##   ##   ####     ####   ###     ###
//**	##   ##  ##  ##  ##   ##  ##  ##   ##  ##  ####   ####
//**	 ## ##  ##    ##  ## ##  ##    ## ##    ## ## ## ## ##
//**	 ## ##  ########  ## ##  ##    ## ##    ## ##  ###  ##
//**	  ###   ##    ##   ###    ##  ##   ##  ##  ##       ##
//**	   #    ##    ##    #      ####     ####   ##       ##
//**
//**	$Id: statinfo.cpp,v 1.4 2001/12/12 19:20:31 dj_jl Exp $
//**
//**	Copyright (C) 1999-2001 Jnis Legzdi
//**
//**	This program is free software; you can redistribute it and/or
//**  modify it under the terms of the GNU General Public License
//**  as published by the Free Software Foundation; either version 2
//**  of the License, or (at your option) any later version.
//**
//**	This program is distributed in the hope that it will be useful,
//**  but WITHOUT ANY WARRANTY; without even the implied warranty of
//**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//**  GNU General Public License for more details.
//**
//**************************************************************************

#include "../../makeinfo.h"

int numstates = 1565;

state_t states[] =
{
	{ 0, 0, -1, 0, 0 }, // S_0
	{ 1, 0, 0, 1, 0 }, // S_1
	{ 2, 32768, 3, 0, 3 }, // S_2
	{ 2, 32769, 3, 0, 4 }, // S_3
	{ 2, 32770, 3, 0, 5 }, // S_4
	{ 2, 32771, 3, 0, 2 }, // S_5
	{ 3, 32768, 3, 0, 7 }, // S_6
	{ 3, 32769, 3, 0, 8 }, // S_7
	{ 3, 32770, 3, 0, 9 }, // S_8
	{ 3, 32771, 3, 0, 6 }, // S_9
	{ 4, 0, -1, 0, 0 }, // S_10
	{ 4, 1, -1, 0, 0 }, // S_11
	{ 4, 2, -1, 0, 0 }, // S_12
	{ 1, 0, 1, 2, 13 }, // S_13
	{ 1, 0, 1, 3, 14 }, // S_14
	{ 1, 0, 1, 4, 15 }, // S_15
	{ 1, 1, 4, 0, 17 }, // S_16
	{ 1, 2, 4, 5, 18 }, // S_17
	{ 1, 3, 5, 0, 19 }, // S_18
	{ 1, 2, 4, 0, 20 }, // S_19
	{ 1, 1, 5, 6, 13 }, // S_20
	{ 5, 0, 1, 2, 21 }, // S_21
	{ 5, 0, 1, 3, 22 }, // S_22
	{ 5, 0, 1, 4, 23 }, // S_23
	{ 5, 0, 3, 7, 25 }, // S_24
	{ 5, 1, 6, 8, 26 }, // S_25
	{ 5, 2, 4, 0, 27 }, // S_26
	{ 5, 3, 6, 0, 28 }, // S_27
	{ 5, 4, 3, 0, 29 }, // S_28
	{ 5, 5, 5, 0, 30 }, // S_29
	{ 5, 6, 5, 9, 21 }, // S_30
	{ 5, 10, 5, 0, 32 }, // S_31
	{ 5, 11, 5, 0, 33 }, // S_32
	{ 5, 12, 5, 0, 31 }, // S_33
	{ 5, 7, 1, 2, 34 }, // S_34
	{ 5, 7, 1, 3, 35 }, // S_35
	{ 5, 7, 1, 4, 36 }, // S_36
	{ 5, 7, 3, 0, 38 }, // S_37
	{ 5, 1, 6, 10, 39 }, // S_38
	{ 5, 2, 4, 0, 40 }, // S_39
	{ 5, 3, 6, 0, 41 }, // S_40
	{ 5, 4, 3, 0, 42 }, // S_41
	{ 5, 8, 5, 0, 43 }, // S_42
	{ 5, 9, 5, 9, 34 }, // S_43
	{ 6, 0, 1, 2, 44 }, // S_44
	{ 6, 0, 1, 3, 45 }, // S_45
	{ 6, 0, 1, 4, 46 }, // S_46
	{ 6, 0, 4, 11, 48 }, // S_47
	{ 6, 1, 4, 12, 49 }, // S_48
	{ 6, 32770, 5, 0, 50 }, // S_49
	{ 6, 32771, 2, 13, 51 }, // S_50
	{ 6, 32772, 2, 0, 52 }, // S_51
	{ 6, 32773, 2, 1, 53 }, // S_52
	{ 6, 5, 0, 6, 44 }, // S_53
	{ 7, 0, 1, 2, 54 }, // S_54
	{ 7, 1, 1, 3, 55 }, // S_55
	{ 7, 0, 1, 4, 56 }, // S_56
	{ 8, 0, 3, 14, 58 }, // S_57
	{ 8, 1, 3, 14, 59 }, // S_58
	{ 7, 3, 3, 14, 60 }, // S_59
	{ 7, 2, 0, 6, 61 }, // S_60
	{ 7, 1, 2, 0, 54 }, // S_61
	{ 9, 0, 3, 2, 63 }, // S_62
	{ 9, 1, 3, 2, 62 }, // S_63
	{ 9, 0, 1, 3, 64 }, // S_64
	{ 9, 0, 1, 4, 65 }, // S_65
	{ 10, 0, 2, 15, 67 }, // S_66
	{ 10, 1, 3, 6, 62 }, // S_67
	{ 11, 5, 6, 2, 69 }, // S_68
	{ 11, 6, 6, 2, 70 }, // S_69
	{ 11, 7, 6, 2, 71 }, // S_70
	{ 11, 0, 6, 2, 68 }, // S_71
	{ 11, 0, 1, 3, 72 }, // S_72
	{ 11, 0, 1, 4, 73 }, // S_73
	{ 12, 32768, 5, 16, 75 }, // S_74
	{ 11, 32769, 3, 12, 76 }, // S_75
	{ 11, 2, 2, 13, 77 }, // S_76
	{ 11, 3, 2, 0, 78 }, // S_77
	{ 11, 4, 2, 0, 79 }, // S_78
	{ 11, 0, 7, 1, 80 }, // S_79
	{ 11, 7, 7, 0, 81 }, // S_80
	{ 11, 6, 7, 9, 68 }, // S_81
	{ 11, 8, 7, 2, 83 }, // S_82
	{ 11, 9, 7, 2, 84 }, // S_83
	{ 11, 10, 7, 2, 85 }, // S_84
	{ 11, 11, 7, 2, 82 }, // S_85
	{ 11, 8, 1, 3, 86 }, // S_86
	{ 11, 8, 1, 4, 87 }, // S_87
	{ 11, 8, 20, 17, 89 }, // S_88
	{ 11, 9, 10, 12, 90 }, // S_89
	{ 12, 32768, 10, 18, 91 }, // S_90
	{ 11, 32769, 3, 13, 92 }, // S_91
	{ 11, 2, 2, 0, 93 }, // S_92
	{ 11, 3, 2, 1, 94 }, // S_93
	{ 11, 4, 2, 6, 82 }, // S_94
	{ 13, 0, 1, 2, 95 }, // S_95
	{ 13, 0, 1, 3, 96 }, // S_96
	{ 13, 0, 1, 4, 97 }, // S_97
	{ 13, 0, 5, 19, 99 }, // S_98
	{ 13, 1, 10, 0, 100 }, // S_99
	{ 13, 0, 5, 19, 101 }, // S_100
	{ 13, 2, 10, 0, 102 }, // S_101
	{ 13, 0, 0, 6, 95 }, // S_102
	{ 14, 32768, 5, 12, 1 }, // S_103
	{ 14, 0, 10, 1, 1 }, // S_104
	{ 14, 32769, 5, 13, 1 }, // S_105
	{ 13, 3, 1, 2, 106 }, // S_106
	{ 13, 3, 1, 3, 107 }, // S_107
	{ 13, 3, 1, 4, 108 }, // S_108
	{ 13, 3, 5, 19, 110 }, // S_109
	{ 13, 4, 10, 0, 111 }, // S_110
	{ 13, 3, 5, 19, 112 }, // S_111
	{ 13, 5, 10, 0, 113 }, // S_112
	{ 13, 0, 0, 6, 106 }, // S_113
	{ 14, 32770, 5, 12, 1 }, // S_114
	{ 14, 2, 10, 1, 1 }, // S_115
	{ 14, 32771, 5, 13, 1 }, // S_116
	{ 15, 32768, 1, 2, 117 }, // S_117
	{ 15, 32769, -1, 0, 0 }, // S_118
	{ 15, 32770, -1, 0, 0 }, // S_119
	{ 15, 32771, -1, 0, 0 }, // S_120
	{ 15, 32772, -1, 0, 0 }, // S_121
	{ 15, 32768, 1, 3, 122 }, // S_122
	{ 15, 32768, 1, 4, 123 }, // S_123
	{ 15, 32768, 18, 20, 125 }, // S_124
	{ 15, 32768, 3, 21, 126 }, // S_125
	{ 15, 0, 10, 22, 127 }, // S_126
	{ 15, 0, 5, 7, 117 }, // S_127
	{ 16, 32768, 4, 13, 129 }, // S_128
	{ 16, 32769, 6, 23, 130 }, // S_129
	{ 16, 32770, 4, 12, 1 }, // S_130
	{ 17, 0, 4, 0, 132 }, // S_131
	{ 17, 1, 4, 0, 133 }, // S_132
	{ 17, 2, 4, 0, 134 }, // S_133
	{ 17, 3, 4, 0, 135 }, // S_134
	{ 17, 4, 4, 0, 0 }, // S_135
	{ 18, 0, 4, 0, 137 }, // S_136
	{ 18, 1, 4, 0, 138 }, // S_137
	{ 18, 2, 4, 0, 139 }, // S_138
	{ 18, 3, 4, 0, 0 }, // S_139
	{ 19, 0, 3, 0, 141 }, // S_140
	{ 19, 1, 3, 0, 142 }, // S_141
	{ 19, 2, 3, 0, 143 }, // S_142
	{ 19, 3, 3, 0, 144 }, // S_143
	{ 19, 4, 3, 0, 145 }, // S_144
	{ 19, 5, 3, 0, 146 }, // S_145
	{ 19, 6, 3, 0, 147 }, // S_146
	{ 19, 7, 3, 0, 0 }, // S_147
	{ 20, 0, 3, 24, 149 }, // S_148
	{ 20, 1, 3, 0, 150 }, // S_149
	{ 20, 2, 3, 0, 151 }, // S_150
	{ 20, 3, 3, 0, 152 }, // S_151
	{ 20, 4, 3, 0, 153 }, // S_152
	{ 20, 5, 3, 0, 154 }, // S_153
	{ 20, 4, 3, 0, 155 }, // S_154
	{ 20, 3, 2, 0, 156 }, // S_155
	{ 20, 2, 2, 0, 157 }, // S_156
	{ 20, 1, 2, 0, 158 }, // S_157
	{ 20, 0, 1, 0, 0 }, // S_158
	{ 21, 0, 3, 0, 160 }, // S_159
	{ 21, 1, 3, 0, 161 }, // S_160
	{ 21, 2, 3, 0, 162 }, // S_161
	{ 21, 3, 3, 0, 163 }, // S_162
	{ 21, 4, 3, 0, 164 }, // S_163
	{ 21, 5, 3, 0, 165 }, // S_164
	{ 21, 6, 2, 0, 0 }, // S_165
	{ 22, 2, 8, 0, 167 }, // S_166
	{ 22, 1, 8, 0, 168 }, // S_167
	{ 22, 0, 8, 0, 0 }, // S_168
	{ 23, 32768, 4, 0, 170 }, // S_169
	{ 23, 1, 4, 0, 171 }, // S_170
	{ 23, 2, 4, 0, 172 }, // S_171
	{ 23, 3, 4, 0, 0 }, // S_172
	{ 24, 0, 4, 0, 174 }, // S_173
	{ 24, 1, 4, 0, 173 }, // S_174
	{ 25, 0, 5, 0, 176 }, // S_175
	{ 25, 1, 5, 0, 131 }, // S_176
	{ 26, 0, 3, 25, 178 }, // S_177
	{ 26, 1, 3, 25, 177 }, // S_178
	{ 27, 0, 3, 25, 180 }, // S_179
	{ 27, 1, 3, 25, 179 }, // S_180
	{ 28, 1, 3, 25, 182 }, // S_181
	{ 28, 2, 3, 25, 181 }, // S_182
	{ 29, 0, 3, 25, 184 }, // S_183
	{ 29, 1, 3, 25, 183 }, // S_184
	{ 30, 32768, 4, 26, 186 }, // S_185
	{ 30, 32769, 4, 0, 187 }, // S_186
	{ 30, 32770, 4, 0, 188 }, // S_187
	{ 30, 32771, 4, 0, 189 }, // S_188
	{ 30, 32772, 4, 0, 190 }, // S_189
	{ 30, 32773, 4, 0, 191 }, // S_190
	{ 30, 32774, 4, 0, 192 }, // S_191
	{ 30, 32775, 4, 0, 193 }, // S_192
	{ 30, 32776, 4, 0, 0 }, // S_193
	{ 31, 32768, 2, 26, 195 }, // S_194
	{ 31, 32769, 3, 0, 196 }, // S_195
	{ 31, 32770, 3, 0, 197 }, // S_196
	{ 31, 32771, 3, 0, 198 }, // S_197
	{ 31, 32772, 3, 0, 199 }, // S_198
	{ 31, 32773, 3, 0, 200 }, // S_199
	{ 31, 32774, 3, 0, 201 }, // S_200
	{ 31, 32775, 3, 0, 202 }, // S_201
	{ 31, 32776, 3, 0, 203 }, // S_202
	{ 31, 32777, 3, 0, 204 }, // S_203
	{ 31, 32778, 3, 0, 205 }, // S_204
	{ 31, 32779, 3, 0, 206 }, // S_205
	{ 31, 32780, 3, 0, 207 }, // S_206
	{ 31, 32781, 3, 0, 0 }, // S_207
	{ 32, 32768, 3, 26, 209 }, // S_208
	{ 32, 32769, 3, 0, 210 }, // S_209
	{ 32, 32770, 3, 0, 211 }, // S_210
	{ 32, 32771, 3, 0, 212 }, // S_211
	{ 32, 32772, 3, 0, 213 }, // S_212
	{ 32, 32773, 3, 0, 214 }, // S_213
	{ 32, 32774, 3, 0, 215 }, // S_214
	{ 32, 32775, 3, 0, 0 }, // S_215
	{ 32, 0, 1, 27, 0 }, // S_216
	{ 32, 32769, 2, 28, 218 }, // S_217
	{ 32, 32770, 2, 25, 219 }, // S_218
	{ 33, 32768, 2, 29, 220 }, // S_219
	{ 33, 32769, 2, 25, 221 }, // S_220
	{ 33, 32770, 2, 28, 222 }, // S_221
	{ 33, 32771, 3, 25, 223 }, // S_222
	{ 33, 32772, 3, 28, 224 }, // S_223
	{ 33, 32773, 3, 25, 225 }, // S_224
	{ 33, 32774, 3, 29, 222 }, // S_225
	{ 33, 32775, 2, 0, 227 }, // S_226
	{ 33, 32776, 2, 29, 228 }, // S_227
	{ 33, 32777, 2, 0, 229 }, // S_228
	{ 33, 32778, 2, 0, 0 }, // S_229
	{ 34, 0, 1, 30, 0 }, // S_230
	{ 35, 32768, 4, 0, 232 }, // S_231
	{ 35, 32769, 4, 0, 233 }, // S_232
	{ 35, 32770, 4, 0, 234 }, // S_233
	{ 35, 32771, 4, 0, 235 }, // S_234
	{ 35, 32772, 4, 31, 236 }, // S_235
	{ 35, 32773, 4, 25, 237 }, // S_236
	{ 35, 32774, 4, 25, 238 }, // S_237
	{ 35, 32775, 4, 25, 235 }, // S_238
	{ 36, 0, 1, 32, 0 }, // S_239
	{ 37, 0, 2, 33, 240 }, // S_240
	{ 38, 0, 6, 0, 0 }, // S_241
	{ 39, 0, 20, 0, 0 }, // S_242
	{ 40, 32768, 6, 34, 243 }, // S_243
	{ 41, 32768, 4, 34, 245 }, // S_244
	{ 41, 32769, 3, 35, 244 }, // S_245
	{ 42, 0, 10, 36, 246 }, // S_246
	{ 43, 0, 10, 36, 247 }, // S_247
	{ 42, 0, 1, 0, 0 }, // S_248
	{ 44, 32768, 4, 0, 250 }, // S_249
	{ 44, 32769, 4, 0, 251 }, // S_250
	{ 44, 32770, 4, 0, 252 }, // S_251
	{ 44, 32771, 4, 0, 249 }, // S_252
	{ 45, 32768, 8, 0, 254 }, // S_253
	{ 45, 32769, 8, 0, 255 }, // S_254
	{ 45, 32770, 8, 37, 256 }, // S_255
	{ 45, 32771, 8, 0, 257 }, // S_256
	{ 45, 32772, 8, 0, 0 }, // S_257
	{ 46, 32768, 9, 0, 259 }, // S_258
	{ 46, 32769, 9, 0, 260 }, // S_259
	{ 46, 32770, 9, 0, 0 }, // S_260
	{ 47, 32768, 5, 0, 263 }, // S_261
	{ 47, 32768, 5, 38, 263 }, // S_262
	{ 47, 32769, 5, 0, 264 }, // S_263
	{ 47, 32770, 4, 0, 265 }, // S_264
	{ 47, 32771, 2, 0, 266 }, // S_265
	{ 47, 32772, 2, 0, 267 }, // S_266
	{ 47, 32773, 2, 0, 268 }, // S_267
	{ 47, 32774, 2, 0, 0 }, // S_268
	{ 48, 32768, 6, 0, 270 }, // S_269
	{ 48, 32769, 6, 0, 271 }, // S_270
	{ 48, 32770, 6, 0, 272 }, // S_271
	{ 48, 32771, 6, 0, 273 }, // S_272
	{ 48, 32772, 6, 0, 274 }, // S_273
	{ 48, 32773, 6, 0, 275 }, // S_274
	{ 48, 32772, 6, 0, 276 }, // S_275
	{ 48, 32771, 6, 0, 277 }, // S_276
	{ 48, 32770, 6, 0, 278 }, // S_277
	{ 48, 32769, 6, 0, 0 }, // S_278
	{ 49, 32768, 6, 0, 280 }, // S_279
	{ 49, 32769, 6, 0, 281 }, // S_280
	{ 49, 32768, 6, 0, 282 }, // S_281
	{ 49, 32769, 6, 0, 283 }, // S_282
	{ 49, 32770, 6, 0, 284 }, // S_283
	{ 49, 32771, 6, 0, 285 }, // S_284
	{ 49, 32772, 6, 0, 0 }, // S_285
	{ 50, 0, 128, 0, 0 }, // S_286
	{ 50, 1, 128, 0, 0 }, // S_287
	{ 50, 2, 128, 0, 0 }, // S_288
	{ 0, 0, -1, 0, 0 }, // S_289
	{ 0, 0, 4, 0, 291 }, // S_290
	{ 0, 1, 4, 0, 292 }, // S_291
	{ 0, 2, 4, 0, 293 }, // S_292
	{ 0, 3, 4, 0, 290 }, // S_293
	{ 0, 4, 12, 0, 289 }, // S_294
	{ 0, 5, 6, 0, 294 }, // S_295
	{ 0, 16, 4, 39, 297 }, // S_296
	{ 0, 16, 4, 0, 289 }, // S_297
	{ 0, 6, 4, 0, 299 }, // S_298
	{ 0, 7, 3, 40, 300 }, // S_299
	{ 0, 8, 3, 41, 301 }, // S_300
	{ 0, 9, 4, 0, 302 }, // S_301
	{ 0, 10, 4, 0, 303 }, // S_302
	{ 0, 11, 4, 0, 304 }, // S_303
	{ 0, 12, 4, 0, 305 }, // S_304
	{ 0, 13, 4, 0, 306 }, // S_305
	{ 0, 14, 4, 0, 307 }, // S_306
	{ 0, 15, 700, 0, 315 }, // S_307
	{ 51, 0, 5, 42, 309 }, // S_308
	{ 51, 1, 5, 43, 310 }, // S_309
	{ 51, 2, 5, 41, 311 }, // S_310
	{ 51, 3, 5, 42, 312 }, // S_311
	{ 51, 4, 5, 42, 313 }, // S_312
	{ 51, 5, 5, 42, 314 }, // S_313
	{ 51, 6, 5, 42, 315 }, // S_314
	{ 51, 7, 1400, 0, 0 }, // S_315
	{ 52, 0, 30, 0, 322 }, // S_316
	{ 53, 0, 6, 0, 318 }, // S_317
	{ 53, 1, 6, 0, 319 }, // S_318
	{ 53, 2, 10, 0, 320 }, // S_319
	{ 53, 1, 6, 0, 321 }, // S_320
	{ 53, 0, 6, 0, 322 }, // S_321
	{ 54, 0, 10, 44, 322 }, // S_322
	{ 55, 0, 30, 36, 322 }, // S_323
	{ 55, 1, 30, 0, 322 }, // S_324
	{ 56, 0, 4, 0, 326 }, // S_325
	{ 56, 1, 4, 0, 327 }, // S_326
	{ 56, 2, 4, 0, 328 }, // S_327
	{ 56, 3, 4, 0, 329 }, // S_328
	{ 56, 4, 4, 0, 330 }, // S_329
	{ 56, 3, 4, 0, 331 }, // S_330
	{ 56, 2, 4, 0, 332 }, // S_331
	{ 56, 1, 4, 0, 333 }, // S_332
	{ 56, 0, 5, 0, 334 }, // S_333
	{ 56, 5, 6, 0, 322 }, // S_334
	{ 57, 0, 3, 0, 336 }, // S_335
	{ 57, 1, 3, 39, 337 }, // S_336
	{ 57, 2, 3, 0, 338 }, // S_337
	{ 57, 3, 9, 45, 339 }, // S_338
	{ 57, 2, 4, 0, 340 }, // S_339
	{ 57, 1, 3, 0, 341 }, // S_340
	{ 57, 0, 3, 46, 322 }, // S_341
	{ 58, 0, 5, 0, 343 }, // S_342
	{ 58, 1, 5, 0, 344 }, // S_343
	{ 58, 2, 5, 0, 345 }, // S_344
	{ 58, 3, 5, 0, 346 }, // S_345
	{ 58, 4, 5, 0, 347 }, // S_346
	{ 58, 5, 5, 0, 348 }, // S_347
	{ 58, 6, 5, 0, 349 }, // S_348
	{ 58, 7, 5, 0, 350 }, // S_349
	{ 58, 8, 5, 0, 322 }, // S_350
	{ 59, 0, 3, 47, 352 }, // S_351
	{ 59, 1, 3, 48, 353 }, // S_352
	{ 59, 2, 3, 49, 354 }, // S_353
	{ 59, 3, 3, 41, 355 }, // S_354
	{ 59, 4, 5, 48, 356 }, // S_355
	{ 59, 5, 5, 49, 357 }, // S_356
	{ 59, 6, 5, 49, 358 }, // S_357
	{ 59, 7, 5, 49, 359 }, // S_358
	{ 59, 8, 5, 48, 360 }, // S_359
	{ 59, 9, 5, 49, 361 }, // S_360
	{ 59, 10, 5, 49, 362 }, // S_361
	{ 59, 11, 5, 49, 363 }, // S_362
	{ 59, 12, 3, 48, 364 }, // S_363
	{ 59, 13, 3, 0, 365 }, // S_364
	{ 59, 14, 5, 0, 366 }, // S_365
	{ 59, 15, 5, 0, 367 }, // S_366
	{ 59, 16, 5, 0, 368 }, // S_367
	{ 59, 15, 5, 0, 369 }, // S_368
	{ 59, 16, 5, 0, 370 }, // S_369
	{ 59, 17, 7, 0, 371 }, // S_370
	{ 59, 18, 7, 0, 372 }, // S_371
	{ 59, 19, 7, 0, 373 }, // S_372
	{ 59, 20, 7, 0, 374 }, // S_373
	{ 59, 21, 700, 50, 0 }, // S_374
	{ 60, 0, 5, 47, 376 }, // S_375
	{ 60, 1, 5, 0, 377 }, // S_376
	{ 60, 2, 5, 0, 378 }, // S_377
	{ 60, 3, 5, 41, 379 }, // S_378
	{ 60, 4, 5, 0, 380 }, // S_379
	{ 60, 5, 5, 0, 381 }, // S_380
	{ 60, 6, 4, 0, 382 }, // S_381
	{ 60, 7, 4, 0, 383 }, // S_382
	{ 60, 8, 4, 0, 384 }, // S_383
	{ 60, 9, 4, 0, 1303 }, // S_384
	{ 61, 0, 10, 44, 385 }, // S_385
	{ 61, 0, 5, 49, 387 }, // S_386
	{ 61, 0, 5, 49, 388 }, // S_387
	{ 61, 1, 5, 49, 389 }, // S_388
	{ 61, 1, 5, 49, 390 }, // S_389
	{ 61, 2, 5, 49, 391 }, // S_390
	{ 61, 2, 5, 49, 392 }, // S_391
	{ 61, 3, 5, 49, 393 }, // S_392
	{ 61, 3, 5, 49, 385 }, // S_393
	{ 61, 4, 10, 51, 395 }, // S_394
	{ 61, 5, 8, 52, 396 }, // S_395
	{ 61, 4, 8, 0, 386 }, // S_396
	{ 61, 14, 3, 0, 398 }, // S_397
	{ 61, 14, 3, 39, 394 }, // S_398
	{ 61, 6, 5, 0, 400 }, // S_399
	{ 61, 7, 10, 50, 401 }, // S_400
	{ 61, 8, 6, 0, 400 }, // S_401
	{ 61, 6, 5, 0, 403 }, // S_402
	{ 61, 7, 5, 47, 404 }, // S_403
	{ 61, 8, 6, 0, 405 }, // S_404
	{ 61, 9, 5, 41, 406 }, // S_405
	{ 61, 10, 5, 0, 407 }, // S_406
	{ 61, 11, 6, 0, 408 }, // S_407
	{ 61, 12, 8, 0, 409 }, // S_408
	{ 61, 13, 1400, 0, 418 }, // S_409
	{ 62, 12, 5, 42, 411 }, // S_410
	{ 62, 13, 5, 43, 412 }, // S_411
	{ 62, 14, 5, 41, 413 }, // S_412
	{ 62, 15, 4, 42, 414 }, // S_413
	{ 62, 16, 4, 42, 415 }, // S_414
	{ 62, 17, 4, 42, 416 }, // S_415
	{ 62, 18, 4, 42, 417 }, // S_416
	{ 62, 19, 4, 0, 418 }, // S_417
	{ 62, 20, 5, 0, 419 }, // S_418
	{ 62, 21, 1400, 0, 0 }, // S_419
	{ 61, 0, 5, 53, 420 }, // S_420
	{ 63, 0, 5, 53, 421 }, // S_421
	{ 64, 0, -1, 0, 0 }, // S_422
	{ 64, 0, -1, 54, 0 }, // S_423
	{ 0, 0, 175, 55, 424 }, // S_424
	{ 65, 0, -1, 0, 0 }, // S_425
	{ 66, 0, 15, 0, 427 }, // S_426
	{ 66, 1, 11, 0, 428 }, // S_427
	{ 66, 2, 40, 0, 426 }, // S_428
	{ 67, 0, 15, 0, 430 }, // S_429
	{ 67, 1, 11, 0, 431 }, // S_430
	{ 67, 2, 40, 0, 429 }, // S_431
	{ 68, 0, 15, 0, 433 }, // S_432
	{ 68, 1, 11, 0, 434 }, // S_433
	{ 68, 2, 40, 0, 432 }, // S_434
	{ 69, 0, 15, 0, 436 }, // S_435
	{ 69, 1, 11, 0, 437 }, // S_436
	{ 69, 2, 40, 0, 435 }, // S_437
	{ 70, 0, 15, 0, 439 }, // S_438
	{ 70, 1, 11, 0, 440 }, // S_439
	{ 70, 2, 40, 0, 438 }, // S_440
	{ 71, 0, 15, 0, 442 }, // S_441
	{ 71, 1, 11, 0, 443 }, // S_442
	{ 71, 2, 40, 0, 441 }, // S_443
	{ 72, 0, 15, 36, 445 }, // S_444
	{ 72, 1, 40, 36, 444 }, // S_445
	{ 72, 2, 5, 56, 447 }, // S_446
	{ 72, 1, 4, 39, 448 }, // S_447
	{ 72, 2, 5, 57, 444 }, // S_448
	{ 72, 1, 6, 0, 450 }, // S_449
	{ 72, 2, 13, 50, 449 }, // S_450
	{ 72, 3, 5, 0, 452 }, // S_451
	{ 72, 4, 5, 47, 453 }, // S_452
	{ 72, 5, 6, 0, 454 }, // S_453
	{ 72, 6, 5, 41, 455 }, // S_454
	{ 72, 7, 5, 0, 456 }, // S_455
	{ 72, 8, 6, 0, 457 }, // S_456
	{ 72, 9, -1, 0, 0 }, // S_457
	{ 73, 0, 10, 58, 458 }, // S_458
	{ 73, 0, 4, 49, 460 }, // S_459
	{ 73, 0, 4, 49, 461 }, // S_460
	{ 73, 1, 4, 49, 462 }, // S_461
	{ 73, 1, 4, 49, 463 }, // S_462
	{ 73, 2, 4, 49, 464 }, // S_463
	{ 73, 2, 4, 49, 459 }, // S_464
	{ 73, 3, 8, 0, 466 }, // S_465
	{ 73, 4, 8, 52, 467 }, // S_466
	{ 73, 4, 1, 59, 468 }, // S_467
	{ 73, 3, 8, 60, 465 }, // S_468
	{ 73, 0, 3, 39, 470 }, // S_469
	{ 73, 0, 3, 59, 465 }, // S_470
	{ 73, 5, 4, 0, 472 }, // S_471
	{ 73, 6, 4, 47, 473 }, // S_472
	{ 73, 7, 4, 0, 474 }, // S_473
	{ 73, 8, 4, 41, 475 }, // S_474
	{ 73, 9, 4, 0, 476 }, // S_475
	{ 73, 10, 4, 0, 477 }, // S_476
	{ 73, 11, 4, 0, 478 }, // S_477
	{ 73, 12, 4, 0, 479 }, // S_478
	{ 73, 13, -1, 0, 0 }, // S_479
	{ 73, 5, 5, 42, 411 }, // S_480
	{ 74, 15, 5, 44, 481 }, // S_481
	{ 74, 16, 8, 0, 481 }, // S_482
	{ 74, 17, 8, 0, 481 }, // S_483
	{ 74, 0, 6, 49, 485 }, // S_484
	{ 74, 1, 6, 49, 486 }, // S_485
	{ 74, 2, 6, 49, 487 }, // S_486
	{ 74, 3, 6, 49, 488 }, // S_487
	{ 74, 0, 6, 49, 489 }, // S_488
	{ 74, 1, 6, 49, 490 }, // S_489
	{ 74, 2, 6, 49, 491 }, // S_490
	{ 74, 3, 6, 49, 481 }, // S_491
	{ 74, 0, 3, 59, 493 }, // S_492
	{ 74, 0, 3, 59, 494 }, // S_493
	{ 74, 1, 3, 59, 495 }, // S_494
	{ 74, 1, 3, 59, 496 }, // S_495
	{ 74, 2, 3, 59, 497 }, // S_496
	{ 74, 2, 3, 59, 498 }, // S_497
	{ 74, 3, 3, 59, 499 }, // S_498
	{ 74, 3, 3, 59, 492 }, // S_499
	{ 74, 4, 10, 51, 501 }, // S_500
	{ 74, 32773, 10, 61, 502 }, // S_501
	{ 74, 4, 10, 61, 492 }, // S_502
	{ 74, 14, 3, 0, 504 }, // S_503
	{ 74, 14, 3, 39, 492 }, // S_504
	{ 74, 6, 5, 0, 506 }, // S_505
	{ 74, 7, 5, 47, 507 }, // S_506
	{ 74, 8, 3, 41, 508 }, // S_507
	{ 74, 9, 4, 0, 509 }, // S_508
	{ 74, 10, 3, 0, 510 }, // S_509
	{ 74, 11, 3, 0, 511 }, // S_510
	{ 74, 12, 3, 0, 512 }, // S_511
	{ 74, 13, -1, 0, 0 }, // S_512
	{ 51, 0, 4, 42, 514 }, // S_513
	{ 51, 1, 4, 43, 515 }, // S_514
	{ 51, 2, 3, 41, 516 }, // S_515
	{ 51, 3, 3, 42, 517 }, // S_516
	{ 51, 4, 3, 42, 518 }, // S_517
	{ 51, 5, 3, 42, 519 }, // S_518
	{ 51, 6, 3, 0, 520 }, // S_519
	{ 51, 7, 1400, 0, 0 }, // S_520
	{ 75, 2, 5, 44, 521 }, // S_521
	{ 75, 0, 8, 0, 521 }, // S_522
	{ 75, 1, 8, 0, 521 }, // S_523
	{ 76, 0, 6, 49, 525 }, // S_524
	{ 76, 1, 6, 49, 526 }, // S_525
	{ 76, 2, 6, 49, 527 }, // S_526
	{ 76, 3, 6, 49, 521 }, // S_527
	{ 76, 0, 3, 59, 529 }, // S_528
	{ 76, 0, 3, 59, 530 }, // S_529
	{ 76, 1, 3, 59, 531 }, // S_530
	{ 76, 1, 3, 59, 532 }, // S_531
	{ 76, 2, 3, 59, 533 }, // S_532
	{ 76, 2, 3, 59, 534 }, // S_533
	{ 76, 3, 3, 59, 535 }, // S_534
	{ 76, 3, 3, 59, 528 }, // S_535
	{ 76, 4, 2, 51, 537 }, // S_536
	{ 76, 32773, 2, 61, 538 }, // S_537
	{ 76, 4, 1, 60, 536 }, // S_538
	{ 76, 24, 3, 0, 540 }, // S_539
	{ 76, 24, 3, 39, 528 }, // S_540
	{ 76, 4, 4, 51, 542 }, // S_541
	{ 76, 32773, 4, 61, 543 }, // S_542
	{ 76, 4, 2, 60, 541 }, // S_543
	{ 76, 6, 5, 0, 545 }, // S_544
	{ 76, 7, 5, 47, 546 }, // S_545
	{ 76, 8, 4, 0, 547 }, // S_546
	{ 76, 9, 4, 0, 548 }, // S_547
	{ 76, 10, 3, 0, 549 }, // S_548
	{ 76, 11, 3, 41, 550 }, // S_549
	{ 76, 12, 3, 0, 551 }, // S_550
	{ 76, 13, 3, 0, 552 }, // S_551
	{ 76, 14, 3, 0, 553 }, // S_552
	{ 76, 15, 3, 0, 554 }, // S_553
	{ 76, 16, 3, 0, 555 }, // S_554
	{ 76, 17, 3, 0, 556 }, // S_555
	{ 76, 18, 3, 0, 557 }, // S_556
	{ 76, 19, 3, 0, 558 }, // S_557
	{ 76, 20, 3, 0, 559 }, // S_558
	{ 76, 21, 3, 0, 560 }, // S_559
	{ 76, 22, 3, 62, 561 }, // S_560
	{ 76, 23, -1, 0, 0 }, // S_561
	{ 23, 1, 4, 0, 563 }, // S_562
	{ 23, 2, 4, 0, 564 }, // S_563
	{ 23, 1, 4, 0, 565 }, // S_564
	{ 23, 2, 4, 0, 566 }, // S_565
	{ 23, 3, 4, 0, 0 }, // S_566
	{ 40, 32768, 2, 35, 568 }, // S_567
	{ 40, 32768, 2, 35, 567 }, // S_568
	{ 77, 0, 10, 58, 570 }, // S_569
	{ 77, 0, 10, 58, 569 }, // S_570
	{ 77, 1, 3, 59, 572 }, // S_571
	{ 77, 1, 3, 59, 573 }, // S_572
	{ 77, 2, 3, 59, 574 }, // S_573
	{ 77, 2, 3, 59, 575 }, // S_574
	{ 77, 3, 3, 59, 576 }, // S_575
	{ 77, 3, 3, 59, 577 }, // S_576
	{ 77, 4, 3, 59, 578 }, // S_577
	{ 77, 4, 3, 59, 571 }, // S_578
	{ 77, 7, 6, 51, 580 }, // S_579
	{ 77, 8, 8, 63, 581 }, // S_580
	{ 77, 7, 6, 0, 571 }, // S_581
	{ 77, 5, 8, 51, 583 }, // S_582
	{ 77, 32774, 11, 64, 571 }, // S_583
	{ 77, 0, 2, 0, 585 }, // S_584
	{ 77, 0, 2, 39, 571 }, // S_585
	{ 77, 32777, 6, 0, 587 }, // S_586
	{ 77, 32778, 6, 47, 588 }, // S_587
	{ 77, 32779, 5, 0, 589 }, // S_588
	{ 77, 32780, 5, 41, 590 }, // S_589
	{ 77, 32781, 5, 0, 591 }, // S_590
	{ 77, 32782, 5, 0, 592 }, // S_591
	{ 77, 32783, 5, 0, 593 }, // S_592
	{ 77, 32784, 6, 31, 594 }, // S_593
	{ 77, 17, -1, 0, 0 }, // S_594
	{ 77, 32779, 5, 42, 596 }, // S_595
	{ 77, 32780, 5, 43, 597 }, // S_596
	{ 77, 32781, 5, 42, 598 }, // S_597
	{ 77, 32782, 5, 41, 599 }, // S_598
	{ 77, 32783, 5, 42, 600 }, // S_599
	{ 77, 32784, 5, 31, 601 }, // S_600
	{ 77, 17, -1, 0, 0 }, // S_601
	{ 63, 0, 5, 44, 602 }, // S_602
	{ 63, 1, 8, 57, 602 }, // S_603
	{ 63, 3, 8, 0, 602 }, // S_604
	{ 63, 0, 5, 49, 606 }, // S_605
	{ 63, 1, 5, 49, 607 }, // S_606
	{ 63, 2, 5, 49, 608 }, // S_607
	{ 63, 3, 5, 49, 609 }, // S_608
	{ 63, 0, 5, 49, 610 }, // S_609
	{ 63, 1, 5, 49, 611 }, // S_610
	{ 63, 2, 5, 49, 612 }, // S_611
	{ 63, 3, 5, 49, 602 }, // S_612
	{ 63, 0, 6, 65, 615 }, // S_613
	{ 63, 0, 6, 66, 615 }, // S_614
	{ 63, 1, 6, 59, 616 }, // S_615
	{ 63, 2, 6, 59, 617 }, // S_616
	{ 63, 3, 6, 59, 614 }, // S_617
	{ 63, 4, 8, 51, 619 }, // S_618
	{ 63, 5, 4, 61, 620 }, // S_619
	{ 63, 4, 4, 61, 621 }, // S_620
	{ 63, 5, 6, 61, 614 }, // S_621
	{ 63, 14, 0, 56, 623 }, // S_622
	{ 63, 14, 8, 39, 613 }, // S_623
	{ 63, 14, 8, 39, 614 }, // S_624
	{ 63, 6, 4, 0, 626 }, // S_625
	{ 63, 7, 4, 47, 627 }, // S_626
	{ 63, 8, 4, 0, 628 }, // S_627
	{ 63, 9, 3, 0, 629 }, // S_628
	{ 63, 10, 3, 41, 630 }, // S_629
	{ 63, 11, 3, 0, 631 }, // S_630
	{ 63, 12, 3, 0, 632 }, // S_631
	{ 63, 13, 1400, 0, 643 }, // S_632
	{ 62, 0, 5, 41, 634 }, // S_633
	{ 62, 1, 5, 42, 635 }, // S_634
	{ 62, 2, 5, 42, 636 }, // S_635
	{ 62, 3, 4, 42, 637 }, // S_636
	{ 62, 4, 4, 43, 638 }, // S_637
	{ 62, 5, 4, 42, 639 }, // S_638
	{ 62, 6, 4, 0, 640 }, // S_639
	{ 62, 7, 4, 0, 641 }, // S_640
	{ 62, 8, 5, 0, 642 }, // S_641
	{ 62, 9, 5, 0, 643 }, // S_642
	{ 62, 10, 5, 0, 644 }, // S_643
	{ 62, 11, 1400, 0, 0 }, // S_644
	{ 78, 16, 10, 58, 645 }, // S_645
	{ 78, 0, 3, 59, 647 }, // S_646
	{ 78, 0, 3, 59, 648 }, // S_647
	{ 78, 1, 3, 59, 649 }, // S_648
	{ 78, 1, 3, 59, 650 }, // S_649
	{ 78, 2, 3, 59, 651 }, // S_650
	{ 78, 2, 3, 59, 652 }, // S_651
	{ 78, 3, 3, 59, 653 }, // S_652
	{ 78, 3, 3, 59, 646 }, // S_653
	{ 78, 4, 3, 51, 655 }, // S_654
	{ 78, 32773, 2, 67, 656 }, // S_655
	{ 78, 32772, 2, 68, 657 }, // S_656
	{ 78, 32773, 3, 68, 658 }, // S_657
	{ 78, 32772, 2, 68, 659 }, // S_658
	{ 78, 32773, 2, 68, 660 }, // S_659
	{ 78, 32772, 2, 69, 661 }, // S_660
	{ 78, 32773, 2, 69, 662 }, // S_661
	{ 78, 32772, 2, 69, 663 }, // S_662
	{ 78, 5, 2, 70, 654 }, // S_663
	{ 78, 3, 1, 39, 646 }, // S_664
	{ 78, 6, 3, 47, 666 }, // S_665
	{ 78, 7, 5, 0, 667 }, // S_666
	{ 78, 32776, 4, 0, 668 }, // S_667
	{ 78, 32777, 4, 38, 669 }, // S_668
	{ 78, 32778, 4, 41, 670 }, // S_669
	{ 78, 11, 4, 38, 671 }, // S_670
	{ 78, 12, 4, 0, 672 }, // S_671
	{ 78, 13, 4, 0, 673 }, // S_672
	{ 78, 14, 4, 71, 0 }, // S_673
	{ 79, 0, 10, 58, 674 }, // S_674
	{ 79, 0, 3, 59, 676 }, // S_675
	{ 79, 0, 3, 59, 677 }, // S_676
	{ 79, 1, 3, 59, 678 }, // S_677
	{ 79, 1, 3, 59, 679 }, // S_678
	{ 79, 2, 3, 59, 680 }, // S_679
	{ 79, 2, 3, 59, 681 }, // S_680
	{ 79, 3, 3, 59, 682 }, // S_681
	{ 79, 3, 3, 59, 675 }, // S_682
	{ 79, 4, 3, 51, 684 }, // S_683
	{ 79, 32773, 2, 72, 675 }, // S_684
	{ 79, 3, 1, 39, 675 }, // S_685
	{ 79, 32774, 3, 0, 687 }, // S_686
	{ 79, 32775, 5, 47, 688 }, // S_687
	{ 79, 32776, 4, 42, 689 }, // S_688
	{ 79, 32777, 4, 38, 690 }, // S_689
	{ 79, 32778, 4, 0, 691 }, // S_690
	{ 79, 32779, 4, 0, 692 }, // S_691
	{ 79, 32780, 4, 41, 693 }, // S_692
	{ 79, 32781, 4, 0, 694 }, // S_693
	{ 79, 32782, 4, 42, 695 }, // S_694
	{ 79, 32783, 4, 0, 696 }, // S_695
	{ 79, 32784, 4, 42, 697 }, // S_696
	{ 79, 32785, 4, 0, 698 }, // S_697
	{ 79, 32786, 4, 42, 699 }, // S_698
	{ 79, 32787, 4, 0, 700 }, // S_699
	{ 79, 32788, 4, 42, 701 }, // S_700
	{ 79, 21, 4, 73, 0 }, // S_701
	{ 80, 0, 5, 44, 702 }, // S_702
	{ 80, 1, 10, 0, 702 }, // S_703
	{ 80, 2, 10, 0, 702 }, // S_704
	{ 80, 1, 10, 49, 702 }, // S_705
	{ 80, 0, 3, 59, 707 }, // S_706
	{ 80, 0, 3, 59, 708 }, // S_707
	{ 80, 1, 3, 59, 709 }, // S_708
	{ 80, 1, 3, 59, 710 }, // S_709
	{ 80, 2, 3, 59, 711 }, // S_710
	{ 80, 2, 3, 59, 712 }, // S_711
	{ 80, 3, 3, 59, 713 }, // S_712
	{ 80, 3, 3, 59, 706 }, // S_713
	{ 80, 4, 8, 51, 715 }, // S_714
	{ 80, 5, 8, 63, 706 }, // S_715
	{ 80, 32774, 8, 51, 717 }, // S_716
	{ 80, 32775, 8, 74, 706 }, // S_717
	{ 80, 0, 2, 0, 719 }, // S_718
	{ 80, 0, 2, 39, 706 }, // S_719
	{ 80, 32776, 4, 42, 721 }, // S_720
	{ 80, 32777, 4, 47, 722 }, // S_721
	{ 80, 32778, 4, 42, 723 }, // S_722
	{ 80, 32779, 4, 41, 724 }, // S_723
	{ 80, 32780, 4, 0, 725 }, // S_724
	{ 80, 32781, 4, 0, 726 }, // S_725
	{ 80, 14, 4, 42, 727 }, // S_726
	{ 80, 15, 4, 0, 728 }, // S_727
	{ 80, 16, 4, 0, 729 }, // S_728
	{ 80, 17, 4, 0, 730 }, // S_729
	{ 80, 18, 3, 0, 731 }, // S_730
	{ 80, 19, 3, 0, 732 }, // S_731
	{ 80, 20, 3, 0, 733 }, // S_732
	{ 80, 21, 3, 0, 734 }, // S_733
	{ 80, 22, 3, 0, 735 }, // S_734
	{ 80, 23, 3, 0, 736 }, // S_735
	{ 80, 24, 3, 0, 737 }, // S_736
	{ 80, 25, 3, 0, 738 }, // S_737
	{ 80, 26, 3, 0, 739 }, // S_738
	{ 80, 27, -1, 0, 0 }, // S_739
	{ 81, 0, -1, 0, 0 }, // S_740
	{ 81, 1, 4, 0, 742 }, // S_741
	{ 81, 2, 4, 0, 743 }, // S_742
	{ 81, 3, 4, 0, 744 }, // S_743
	{ 81, 4, 4, 0, 745 }, // S_744
	{ 81, 5, 4, 0, 746 }, // S_745
	{ 81, 6, 4, 0, 747 }, // S_746
	{ 81, 7, -1, 0, 0 }, // S_747
	{ 81, 8, 8, 75, 749 }, // S_748
	{ 81, 9, 8, 47, 750 }, // S_749
	{ 81, 10, 8, 0, 751 }, // S_750
	{ 81, 11, 7, 41, 752 }, // S_751
	{ 81, 12, 7, 0, 753 }, // S_752
	{ 81, 13, 7, 0, 754 }, // S_753
	{ 81, 14, 6, 0, 755 }, // S_754
	{ 81, 15, 6, 0, 756 }, // S_755
	{ 81, 16, -1, 0, 0 }, // S_756
	{ 82, 0, 10, 58, 758 }, // S_757
	{ 82, 1, 10, 76, 757 }, // S_758
	{ 82, 0, 4, 59, 760 }, // S_759
	{ 82, 0, 4, 76, 761 }, // S_760
	{ 82, 1, 4, 59, 762 }, // S_761
	{ 82, 1, 4, 76, 763 }, // S_762
	{ 82, 2, 4, 59, 764 }, // S_763
	{ 82, 2, 4, 76, 765 }, // S_764
	{ 82, 3, 4, 59, 766 }, // S_765
	{ 82, 3, 4, 76, 759 }, // S_766
	{ 82, 4, 4, 51, 768 }, // S_767
	{ 82, 5, 4, 77, 769 }, // S_768
	{ 82, 4, 4, 76, 759 }, // S_769
	{ 82, 4, 4, 51, 771 }, // S_770
	{ 82, 5, 4, 78, 772 }, // S_771
	{ 82, 4, 4, 76, 759 }, // S_772
	{ 83, 0, 6, 0, 774 }, // S_773
	{ 83, 1, 6, 47, 775 }, // S_774
	{ 83, 2, 6, 0, 776 }, // S_775
	{ 83, 3, 6, 41, 777 }, // S_776
	{ 83, 4, 6, 0, 778 }, // S_777
	{ 83, 5, 5, 0, 779 }, // S_778
	{ 83, 6, 5, 0, 780 }, // S_779
	{ 83, 7, 5, 0, 781 }, // S_780
	{ 83, 8, 5, 0, 782 }, // S_781
	{ 83, 9, 5, 0, 783 }, // S_782
	{ 83, 8, 5, 0, 784 }, // S_783
	{ 83, 9, 5, 0, 785 }, // S_784
	{ 83, 8, 5, 0, 787 }, // S_785
	{ 83, 9, 5, 0, 787 }, // S_786
	{ 83, 10, 5, 0, 788 }, // S_787
	{ 83, 11, 5, 0, 789 }, // S_788
	{ 83, 12, 4, 0, 790 }, // S_789
	{ 83, 13, 4, 0, 791 }, // S_790
	{ 83, 14, 4, 0, 792 }, // S_791
	{ 83, 15, 4, 0, 793 }, // S_792
	{ 83, 16, 4, 79, 794 }, // S_793
	{ 83, 17, 4, 0, 795 }, // S_794
	{ 83, 18, 4, 0, 796 }, // S_795
	{ 83, 19, -1, 0, 0 }, // S_796
	{ 84, 0, 10, 58, 798 }, // S_797
	{ 84, 1, 10, 76, 797 }, // S_798
	{ 84, 32768, 7, 59, 800 }, // S_799
	{ 84, 32769, 7, 59, 801 }, // S_800
	{ 84, 32770, 7, 76, 802 }, // S_801
	{ 84, 32771, 7, 59, 803 }, // S_802
	{ 84, 32772, 7, 59, 804 }, // S_803
	{ 84, 32773, 7, 59, 805 }, // S_804
	{ 84, 32774, 7, 76, 806 }, // S_805
	{ 84, 32775, 7, 59, 807 }, // S_806
	{ 84, 32776, 7, 59, 808 }, // S_807
	{ 84, 32777, 7, 59, 809 }, // S_808
	{ 84, 32778, 7, 76, 799 }, // S_809
	{ 84, 32777, 4, 51, 811 }, // S_810
	{ 84, 32776, 4, 77, 812 }, // S_811
	{ 84, 32775, 4, 0, 801 }, // S_812
	{ 84, 32777, 4, 51, 814 }, // S_813
	{ 84, 32776, 4, 80, 815 }, // S_814
	{ 84, 32775, 4, 0, 809 }, // S_815
	{ 84, 9, 2, 39, 805 }, // S_816
	{ 85, 32768, 6, 41, 818 }, // S_817
	{ 85, 32769, 6, 47, 819 }, // S_818
	{ 85, 32770, 6, 81, 820 }, // S_819
	{ 85, 32771, 6, 0, 821 }, // S_820
	{ 85, 32772, 6, 0, 822 }, // S_821
	{ 85, 32773, 6, 81, 823 }, // S_822
	{ 85, 32774, 6, 0, 824 }, // S_823
	{ 85, 32775, 6, 81, 825 }, // S_824
	{ 85, 32776, 6, 0, 826 }, // S_825
	{ 85, 32777, 6, 0, 827 }, // S_826
	{ 85, 32778, 6, 0, 828 }, // S_827
	{ 85, 32779, 6, 0, 829 }, // S_828
	{ 85, 32780, 6, 0, 830 }, // S_829
	{ 85, 32781, 6, 0, 831 }, // S_830
	{ 85, 32782, 6, 0, 832 }, // S_831
	{ 85, 32783, 6, 0, 833 }, // S_832
	{ 85, 32784, 6, 71, 0 }, // S_833
	{ 34, 32768, 6, 0, 835 }, // S_834
	{ 34, 32769, 6, 0, 836 }, // S_835
	{ 34, 32770, 6, 0, 837 }, // S_836
	{ 34, 32771, 6, 0, 838 }, // S_837
	{ 34, 32772, 6, 0, 839 }, // S_838
	{ 34, 32773, 6, 0, 840 }, // S_839
	{ 34, 32774, 6, 0, 841 }, // S_840
	{ 34, 32775, 6, 0, 842 }, // S_841
	{ 34, 32776, 6, 0, 0 }, // S_842
	{ 86, 32768, 6, 0, 844 }, // S_843
	{ 86, 32769, 6, 0, 845 }, // S_844
	{ 86, 32770, 6, 0, 846 }, // S_845
	{ 86, 32771, 6, 0, 847 }, // S_846
	{ 86, 32772, 6, 0, 848 }, // S_847
	{ 86, 32773, 6, 0, 849 }, // S_848
	{ 86, 32774, 6, 0, 0 }, // S_849
	{ 87, 32768, 5, 0, 851 }, // S_850
	{ 87, 32769, 5, 0, 852 }, // S_851
	{ 87, 32770, 5, 0, 853 }, // S_852
	{ 87, 32771, 5, 0, 854 }, // S_853
	{ 87, 32772, 5, 0, 855 }, // S_854
	{ 87, 32773, 5, 0, 856 }, // S_855
	{ 87, 32774, 5, 0, 857 }, // S_856
	{ 87, 32775, 5, 0, 858 }, // S_857
	{ 87, 32776, 5, 0, 859 }, // S_858
	{ 87, 32777, 5, 0, 860 }, // S_859
	{ 87, 32778, 5, 0, 0 }, // S_860
	{ 84, 0, 10, 58, 862 }, // S_861
	{ 84, 1, 10, 76, 861 }, // S_862
	{ 84, 0, 5, 59, 864 }, // S_863
	{ 84, 1, 5, 59, 865 }, // S_864
	{ 84, 2, 5, 76, 866 }, // S_865
	{ 84, 3, 5, 59, 867 }, // S_866
	{ 84, 4, 5, 59, 868 }, // S_867
	{ 84, 5, 5, 59, 869 }, // S_868
	{ 84, 6, 5, 76, 870 }, // S_869
	{ 84, 7, 5, 59, 871 }, // S_870
	{ 84, 8, 5, 59, 872 }, // S_871
	{ 84, 9, 5, 59, 873 }, // S_872
	{ 84, 10, 5, 76, 863 }, // S_873
	{ 84, 9, 4, 51, 875 }, // S_874
	{ 84, 8, 4, 77, 876 }, // S_875
	{ 84, 2, 4, 0, 865 }, // S_876
	{ 84, 5, 4, 51, 878 }, // S_877
	{ 84, 8, 4, 82, 879 }, // S_878
	{ 84, 4, 4, 0, 873 }, // S_879
	{ 84, 9, 2, 39, 869 }, // S_880
	{ 84, 0, 5, 76, 882 }, // S_881
	{ 84, 1, 5, 76, 883 }, // S_882
	{ 84, 2, 5, 76, 884 }, // S_883
	{ 84, 3, 5, 76, 885 }, // S_884
	{ 84, 4, 5, 76, 886 }, // S_885
	{ 84, 5, 5, 76, 887 }, // S_886
	{ 84, 6, 5, 76, 888 }, // S_887
	{ 84, 7, 5, 76, 889 }, // S_888
	{ 84, 8, 5, 76, 890 }, // S_889
	{ 84, 9, 5, 76, 891 }, // S_890
	{ 84, 10, 5, 76, 881 }, // S_891
	{ 84, 0, 5, 59, 893 }, // S_892
	{ 84, 1, 5, 59, 894 }, // S_893
	{ 84, 2, 5, 76, 895 }, // S_894
	{ 84, 3, 5, 59, 896 }, // S_895
	{ 84, 4, 5, 59, 897 }, // S_896
	{ 84, 5, 5, 59, 898 }, // S_897
	{ 84, 6, 5, 76, 899 }, // S_898
	{ 84, 7, 5, 59, 900 }, // S_899
	{ 84, 8, 5, 59, 901 }, // S_900
	{ 84, 9, 5, 59, 902 }, // S_901
	{ 84, 10, 5, 76, 892 }, // S_902
	{ 84, 9, 4, 51, 904 }, // S_903
	{ 84, 8, 4, 77, 905 }, // S_904
	{ 84, 2, 4, 0, 894 }, // S_905
	{ 84, 5, 4, 51, 907 }, // S_906
	{ 84, 8, 4, 83, 908 }, // S_907
	{ 84, 4, 4, 0, 902 }, // S_908
	{ 84, 9, 2, 39, 898 }, // S_909
	{ 84, 0, 10, 58, 911 }, // S_910
	{ 84, 1, 10, 76, 910 }, // S_911
	{ 84, 0, 5, 59, 913 }, // S_912
	{ 84, 1, 5, 59, 914 }, // S_913
	{ 84, 2, 5, 76, 915 }, // S_914
	{ 84, 3, 5, 59, 916 }, // S_915
	{ 84, 4, 5, 59, 917 }, // S_916
	{ 84, 5, 5, 59, 918 }, // S_917
	{ 84, 6, 5, 76, 919 }, // S_918
	{ 84, 7, 5, 59, 920 }, // S_919
	{ 84, 8, 5, 59, 921 }, // S_920
	{ 84, 9, 5, 59, 922 }, // S_921
	{ 84, 10, 5, 76, 912 }, // S_922
	{ 84, 9, 4, 51, 924 }, // S_923
	{ 84, 8, 4, 77, 925 }, // S_924
	{ 84, 2, 4, 0, 914 }, // S_925
	{ 84, 5, 4, 51, 927 }, // S_926
	{ 84, 8, 4, 84, 928 }, // S_927
	{ 84, 4, 4, 0, 922 }, // S_928
	{ 84, 9, 2, 39, 918 }, // S_929
	{ 84, 0, 10, 58, 931 }, // S_930
	{ 84, 1, 10, 76, 930 }, // S_931
	{ 84, 0, 5, 59, 933 }, // S_932
	{ 84, 1, 5, 59, 934 }, // S_933
	{ 84, 2, 5, 76, 935 }, // S_934
	{ 84, 3, 5, 59, 936 }, // S_935
	{ 84, 4, 5, 59, 937 }, // S_936
	{ 84, 5, 5, 59, 938 }, // S_937
	{ 84, 6, 5, 76, 939 }, // S_938
	{ 84, 7, 5, 59, 940 }, // S_939
	{ 84, 8, 5, 59, 941 }, // S_940
	{ 84, 9, 5, 59, 942 }, // S_941
	{ 84, 10, 5, 76, 932 }, // S_942
	{ 84, 9, 4, 51, 944 }, // S_943
	{ 84, 8, 4, 77, 945 }, // S_944
	{ 84, 2, 4, 0, 934 }, // S_945
	{ 84, 5, 4, 51, 947 }, // S_946
	{ 84, 8, 4, 85, 948 }, // S_947
	{ 84, 4, 4, 0, 942 }, // S_948
	{ 84, 9, 2, 39, 938 }, // S_949
	{ 88, 0, 100, 76, 951 }, // S_950
	{ 88, 32769, 60, 76, 952 }, // S_951
	{ 88, 32770, 4, 76, 953 }, // S_952
	{ 88, 32771, 4, 76, 954 }, // S_953
	{ 88, 32772, 4, 76, 955 }, // S_954
	{ 88, 32773, 4, 76, 956 }, // S_955
	{ 88, 32774, 4, 76, 957 }, // S_956
	{ 88, 32775, 4, 76, 958 }, // S_957
	{ 88, 32776, 4, 76, 959 }, // S_958
	{ 88, 32777, 4, 76, 960 }, // S_959
	{ 88, 32778, 4, 76, 961 }, // S_960
	{ 88, 32779, 4, 76, 962 }, // S_961
	{ 89, 32768, 4, 58, 963 }, // S_962
	{ 89, 32769, 4, 76, 962 }, // S_963
	{ 89, 32768, 5, 59, 965 }, // S_964
	{ 89, 32769, 5, 59, 966 }, // S_965
	{ 89, 32770, 5, 76, 967 }, // S_966
	{ 89, 32771, 5, 59, 968 }, // S_967
	{ 89, 32772, 5, 59, 969 }, // S_968
	{ 89, 32773, 5, 59, 970 }, // S_969
	{ 89, 32774, 5, 76, 971 }, // S_970
	{ 89, 32775, 5, 59, 972 }, // S_971
	{ 89, 32776, 5, 59, 973 }, // S_972
	{ 89, 32777, 5, 59, 974 }, // S_973
	{ 89, 32778, 5, 76, 964 }, // S_974
	{ 89, 32777, 4, 51, 976 }, // S_975
	{ 89, 32776, 4, 77, 977 }, // S_976
	{ 89, 32770, 4, 0, 966 }, // S_977
	{ 89, 32773, 4, 51, 979 }, // S_978
	{ 89, 32776, 4, 86, 980 }, // S_979
	{ 89, 32772, 4, 0, 974 }, // S_980
	{ 89, 32777, 2, 39, 970 }, // S_981
	{ 89, 32779, 6, 41, 983 }, // S_982
	{ 89, 32780, 6, 47, 984 }, // S_983
	{ 89, 32781, 6, 81, 985 }, // S_984
	{ 89, 32782, 6, 87, 986 }, // S_985
	{ 89, 32783, 6, 81, 987 }, // S_986
	{ 89, 32784, 6, 87, 0 }, // S_987
	{ 89, 32785, 10, 58, 988 }, // S_988
	{ 89, 32785, 8, 76, 990 }, // S_989
	{ 89, 32786, 8, 59, 991 }, // S_990
	{ 89, 32787, 8, 59, 992 }, // S_991
	{ 89, 32788, 8, 76, 993 }, // S_992
	{ 89, 32789, 8, 59, 994 }, // S_993
	{ 89, 32790, 8, 76, 989 }, // S_994
	{ 89, 32786, 4, 51, 996 }, // S_995
	{ 89, 32785, 4, 77, 997 }, // S_996
	{ 89, 32787, 4, 76, 990 }, // S_997
	{ 89, 32790, 4, 51, 999 }, // S_998
	{ 89, 32788, 4, 82, 1000 }, // S_999
	{ 89, 32789, 4, 76, 993 }, // S_1000
	{ 89, 32785, 2, 39, 989 }, // S_1001
	{ 90, 32768, 3, 47, 1003 }, // S_1002
	{ 90, 32769, 3, 42, 1004 }, // S_1003
	{ 90, 32770, 3, 41, 1005 }, // S_1004
	{ 90, 32771, 3, 42, 1006 }, // S_1005
	{ 90, 32772, 3, 42, 1007 }, // S_1006
	{ 90, 32773, 3, 42, 1008 }, // S_1007
	{ 90, 32774, 3, 42, 1009 }, // S_1008
	{ 90, 32775, 3, 42, 1010 }, // S_1009
	{ 90, 32776, 3, 42, 1011 }, // S_1010
	{ 90, 32777, 3, 42, 1012 }, // S_1011
	{ 90, 32778, 3, 42, 1013 }, // S_1012
	{ 90, 32779, 3, 42, 1014 }, // S_1013
	{ 90, 32780, 3, 42, 1015 }, // S_1014
	{ 90, 32781, 3, 42, 1016 }, // S_1015
	{ 90, 32782, 3, 42, 0 }, // S_1016
	{ 91, 0, -1, 0, 0 }, // S_1017
	{ 92, 0, 60, 58, 1018 }, // S_1018
	{ 92, 0, 360, 0, 1020 }, // S_1019
	{ 92, 1, 9, 41, 1021 }, // S_1020
	{ 92, 2, 9, 0, 1022 }, // S_1021
	{ 92, 3, 9, 88, 1023 }, // S_1022
	{ 92, 4, -1, 0, 0 }, // S_1023
	{ 93, 32768, 4, 0, 1025 }, // S_1024
	{ 93, 32769, 4, 89, 1026 }, // S_1025
	{ 93, 32770, 4, 89, 1024 }, // S_1026
	{ 94, 32768, 4, 0, 1028 }, // S_1027
	{ 94, 32769, 4, 0, 1029 }, // S_1028
	{ 94, 32770, 4, 0, 1030 }, // S_1029
	{ 94, 32771, 4, 0, 1031 }, // S_1030
	{ 94, 32772, 4, 0, 1027 }, // S_1031
	{ 93, 32768, 5, 0, 1033 }, // S_1032
	{ 93, 32769, 5, 0, 1034 }, // S_1033
	{ 93, 32770, 5, 0, 0 }, // S_1034
	{ 95, 32768, 4, 90, 1036 }, // S_1035
	{ 95, 32769, 4, 90, 1037 }, // S_1036
	{ 95, 32770, 6, 90, 1038 }, // S_1037
	{ 95, 32771, 6, 90, 1039 }, // S_1038
	{ 95, 32772, 6, 90, 1035 }, // S_1039
	{ 96, 32768, 4, 0, 1041 }, // S_1040
	{ 96, 32769, 4, 0, 1042 }, // S_1041
	{ 96, 32770, 6, 0, 1043 }, // S_1042
	{ 96, 32771, 6, 0, 1044 }, // S_1043
	{ 96, 32771, 6, 0, 1040 }, // S_1044
	{ 97, 32768, 4, 25, 1046 }, // S_1045
	{ 97, 32769, 4, 91, 1047 }, // S_1046
	{ 97, 32770, 4, 25, 1048 }, // S_1047
	{ 97, 32771, 4, 25, 1045 }, // S_1048
	{ 98, 32768, 4, 35, 1050 }, // S_1049
	{ 98, 32769, 4, 35, 1051 }, // S_1050
	{ 98, 32770, 6, 35, 1052 }, // S_1051
	{ 98, 32771, 6, 35, 1053 }, // S_1052
	{ 98, 32772, 5, 35, 1049 }, // S_1053
	{ 99, 0, 10, 58, 1054 }, // S_1054
	{ 99, 0, 6, 59, 1055 }, // S_1055
	{ 99, 1, 4, 51, 1057 }, // S_1056
	{ 99, 32770, 8, 92, 1058 }, // S_1057
	{ 99, 32770, 4, 60, 1057 }, // S_1058
	{ 99, 3, 5, 39, 1058 }, // S_1059
	{ 99, 3, 7, 41, 1061 }, // S_1060
	{ 99, 32772, 8, 42, 1062 }, // S_1061
	{ 99, 32773, 5, 47, 1063 }, // S_1062
	{ 99, 32774, 4, 42, 1064 }, // S_1063
	{ 99, 32775, 4, 42, 1065 }, // S_1064
	{ 99, 8, 4, 0, 1066 }, // S_1065
	{ 99, 9, 5, 0, 0 }, // S_1066
	{ 100, 0, 1, 93, 1067 }, // S_1067
	{ 100, 0, 10, 58, 1068 }, // S_1068
	{ 100, 9, 10, 58, 1069 }, // S_1069
	{ 100, 0, 1, 94, 1071 }, // S_1070
	{ 100, 0, 3, 59, 1072 }, // S_1071
	{ 100, 1, 3, 59, 1073 }, // S_1072
	{ 100, 1, 3, 59, 1074 }, // S_1073
	{ 100, 2, 3, 95, 1075 }, // S_1074
	{ 100, 2, 3, 59, 1070 }, // S_1075
	{ 100, 9, 3, 96, 1077 }, // S_1076
	{ 100, 10, 3, 96, 1085 }, // S_1077
	{ 100, 2, 2, 97, 1079 }, // S_1078
	{ 100, 8, 3, 0, 1080 }, // S_1079
	{ 100, 7, 3, 0, 1081 }, // S_1080
	{ 100, 6, 3, 0, 1082 }, // S_1081
	{ 100, 5, 3, 0, 1083 }, // S_1082
	{ 100, 4, 3, 0, 1084 }, // S_1083
	{ 100, 3, 3, 0, 1076 }, // S_1084
	{ 100, 9, 3, 95, 1086 }, // S_1085
	{ 100, 9, 3, 59, 1087 }, // S_1086
	{ 100, 10, 3, 59, 1088 }, // S_1087
	{ 100, 10, 3, 59, 1089 }, // S_1088
	{ 100, 11, 3, 95, 1090 }, // S_1089
	{ 100, 11, 3, 59, 1085 }, // S_1090
	{ 100, 11, 1, 39, 1070 }, // S_1091
	{ 100, 14, 4, 0, 1093 }, // S_1092
	{ 100, 15, 4, 47, 1094 }, // S_1093
	{ 100, 16, 4, 0, 1095 }, // S_1094
	{ 100, 17, 4, 0, 1096 }, // S_1095
	{ 100, 18, 4, 0, 1097 }, // S_1096
	{ 100, 19, 4, 0, 1098 }, // S_1097
	{ 100, 20, 4, 41, 1099 }, // S_1098
	{ 100, 21, 4, 0, 1100 }, // S_1099
	{ 100, 22, 4, 0, 1101 }, // S_1100
	{ 100, 32791, 4, 0, 1102 }, // S_1101
	{ 100, 32792, 4, 0, 1103 }, // S_1102
	{ 100, 32793, 4, 0, 1104 }, // S_1103
	{ 100, 32794, 4, 0, 0 }, // S_1104
	{ 101, 0, 10, 58, 1106 }, // S_1105
	{ 101, 1, 10, 58, 1105 }, // S_1106
	{ 101, 1, 3, 98, 1108 }, // S_1107
	{ 101, 1, 3, 59, 1109 }, // S_1108
	{ 101, 2, 4, 59, 1110 }, // S_1109
	{ 101, 2, 4, 59, 1111 }, // S_1110
	{ 101, 3, 4, 59, 1112 }, // S_1111
	{ 101, 3, 4, 59, 1113 }, // S_1112
	{ 101, 4, 3, 98, 1114 }, // S_1113
	{ 101, 4, 3, 99, 1107 }, // S_1114
	{ 101, 0, 2, 99, 1116 }, // S_1115
	{ 101, 5, 6, 51, 1117 }, // S_1116
	{ 101, 32774, 8, 64, 1118 }, // S_1117
	{ 101, 6, 8, 64, 1107 }, // S_1118
	{ 101, 10, 12, 51, 1120 }, // S_1119
	{ 101, 32777, 6, 100, 1121 }, // S_1120
	{ 101, 10, 12, 0, 1107 }, // S_1121
	{ 101, 32775, 8, 101, 1123 }, // S_1122
	{ 101, 32776, 4, 102, 1124 }, // S_1123
	{ 101, 32775, 4, 102, 1123 }, // S_1124
	{ 101, 11, 4, 42, 1126 }, // S_1125
	{ 101, 12, 4, 47, 1127 }, // S_1126
	{ 101, 13, 4, 42, 1128 }, // S_1127
	{ 101, 14, 4, 42, 1129 }, // S_1128
	{ 101, 15, 4, 42, 1130 }, // S_1129
	{ 101, 16, 4, 41, 1131 }, // S_1130
	{ 101, 17, 4, 42, 1132 }, // S_1131
	{ 101, 18, 4, 42, 1133 }, // S_1132
	{ 101, 19, 4, 42, 1134 }, // S_1133
	{ 101, 20, 4, 42, 1135 }, // S_1134
	{ 101, 21, 4, 42, 1136 }, // S_1135
	{ 101, 22, 4, 42, 1137 }, // S_1136
	{ 101, 23, 4, 42, 1138 }, // S_1137
	{ 101, 24, 4, 42, 1139 }, // S_1138
	{ 101, 25, 4, 42, 1140 }, // S_1139
	{ 101, 26, 4, 42, 1141 }, // S_1140
	{ 101, 27, 3, 42, 1142 }, // S_1141
	{ 101, 28, 3, 42, 1143 }, // S_1142
	{ 102, 0, 3, 42, 1144 }, // S_1143
	{ 102, 1, 3, 42, 1145 }, // S_1144
	{ 102, 2, -1, 71, 0 }, // S_1145
	{ 103, 0, 5, 58, 1147 }, // S_1146
	{ 103, 0, 1, 76, 1146 }, // S_1147
	{ 103, 0, 160, 76, 1149 }, // S_1148
	{ 103, 1, 5, 76, 1150 }, // S_1149
	{ 103, 2, 5, 76, 1151 }, // S_1150
	{ 103, 3, 5, 76, 1152 }, // S_1151
	{ 103, 4, 2, 76, 1153 }, // S_1152
	{ 103, 5, 2, 76, 1154 }, // S_1153
	{ 103, 4, 3, 59, 1155 }, // S_1154
	{ 103, 5, 3, 59, 1152 }, // S_1155
	{ 103, 4, 2, 76, 1157 }, // S_1156
	{ 103, 5, 3, 76, 1158 }, // S_1157
	{ 103, 4, 3, 51, 1159 }, // S_1158
	{ 103, 5, 4, 103, 1152 }, // S_1159
	{ 103, 6, 5, 51, 1161 }, // S_1160
	{ 103, 7, 5, 76, 1162 }, // S_1161
	{ 103, 32776, 5, 51, 1163 }, // S_1162
	{ 103, 32777, 5, 80, 1152 }, // S_1163
	{ 103, 10, 5, 39, 1165 }, // S_1164
	{ 103, 11, 5, 76, 1152 }, // S_1165
	{ 103, 32779, 7, 42, 1167 }, // S_1166
	{ 103, 32780, 7, 47, 1168 }, // S_1167
	{ 103, 32781, 7, 42, 1169 }, // S_1168
	{ 103, 32782, 7, 41, 1170 }, // S_1169
	{ 103, 32783, 7, 42, 1171 }, // S_1170
	{ 103, 32784, 7, 104, 1172 }, // S_1171
	{ 103, 32785, 7, 0, 1173 }, // S_1172
	{ 103, 32786, 6, 0, 1174 }, // S_1173
	{ 103, 32787, 5, 0, 1175 }, // S_1174
	{ 103, 32788, 5, 0, 1176 }, // S_1175
	{ 103, 32789, 5, 0, 1177 }, // S_1176
	{ 103, 32790, 5, 0, 1178 }, // S_1177
	{ 103, 32791, 64, 0, 1179 }, // S_1178
	{ 103, 32791, -1, 71, 0 }, // S_1179
	{ 104, 32768, 5, 31, 1181 }, // S_1180
	{ 104, 32769, 5, 0, 1182 }, // S_1181
	{ 104, 32770, 5, 0, 1183 }, // S_1182
	{ 104, 32771, 5, 0, 1184 }, // S_1183
	{ 104, 4, 5, 0, 1185 }, // S_1184
	{ 104, 5, 5, 0, 1186 }, // S_1185
	{ 104, 6, 5, 0, 1187 }, // S_1186
	{ 104, 7, -1, 0, 0 }, // S_1187
	{ 105, 32768, 3, 0, 1189 }, // S_1188
	{ 105, 32769, 3, 25, 1188 }, // S_1189
	{ 105, 32770, 5, 105, 1191 }, // S_1190
	{ 105, 32771, 5, 0, 1192 }, // S_1191
	{ 105, 32772, 5, 0, 1193 }, // S_1192
	{ 105, 32773, 5, 0, 1194 }, // S_1193
	{ 105, 32774, 5, 0, 1195 }, // S_1194
	{ 105, 32775, 5, 0, 0 }, // S_1195
	{ 106, 0, 5, 106, 1196 }, // S_1196
	{ 106, 1, 6, 107, 1198 }, // S_1197
	{ 106, 2, 60, 0, 1197 }, // S_1198
	{ 107, 0, 5, 106, 1199 }, // S_1199
	{ 107, 0, 2, 59, 1200 }, // S_1200
	{ 107, 1, 4, 61, 1202 }, // S_1201
	{ 107, 3, 3, 60, 1203 }, // S_1202
	{ 107, 0, 4, 60, 1201 }, // S_1203
	{ 108, 32768, 6, 0, 1205 }, // S_1204
	{ 108, 32769, 6, 0, 1206 }, // S_1205
	{ 108, 32770, 6, 0, 1207 }, // S_1206
	{ 108, 32771, 6, 0, 1208 }, // S_1207
	{ 108, 32772, 6, 0, 1209 }, // S_1208
	{ 107, 2, -1, 0, 0 }, // S_1209
	{ 109, 0, 8, 0, 1211 }, // S_1210
	{ 109, 1, 8, 0, 1210 }, // S_1211
	{ 109, 32768, 4, 47, 1213 }, // S_1212
	{ 109, 32769, 4, 41, 1214 }, // S_1213
	{ 109, 32770, 4, 108, 1215 }, // S_1214
	{ 109, 32771, 4, 42, 1216 }, // S_1215
	{ 109, 32772, 4, 34, 1217 }, // S_1216
	{ 109, 32773, 4, 0, 1218 }, // S_1217
	{ 109, 32774, 4, 34, 1219 }, // S_1218
	{ 109, 7, 4, 0, 1220 }, // S_1219
	{ 109, 8, -1, 34, 0 }, // S_1220
	{ 110, 32768, 4, 0, 1222 }, // S_1221
	{ 110, 32769, 4, 0, 1223 }, // S_1222
	{ 110, 32770, 4, 0, 1224 }, // S_1223
	{ 110, 32771, 4, 0, 1221 }, // S_1224
	{ 110, 32772, 5, 34, 1226 }, // S_1225
	{ 31, 32769, 5, 47, 1227 }, // S_1226
	{ 31, 32770, 5, 42, 1228 }, // S_1227
	{ 110, 32773, 5, 41, 1229 }, // S_1228
	{ 110, 32774, 5, 34, 1230 }, // S_1229
	{ 110, 32775, 5, 42, 1231 }, // S_1230
	{ 110, 32776, 5, 34, 1232 }, // S_1231
	{ 110, 9, 5, 0, 1233 }, // S_1232
	{ 110, 10, 5, 34, 1234 }, // S_1233
	{ 110, 11, 5, 0, 1235 }, // S_1234
	{ 110, 12, 5, 34, 1236 }, // S_1235
	{ 110, 13, 5, 0, 1237 }, // S_1236
	{ 110, 14, 5, 34, 1238 }, // S_1237
	{ 110, 15, -1, 0, 0 }, // S_1238
	{ 36, 0, -1, 0, 0 }, // S_1239
	{ 36, 0, 1, 32, 208 }, // S_1240
	{ 111, 0, -1, 0, 0 }, // S_1241
	{ 112, 0, -1, 0, 0 }, // S_1242
	{ 113, 0, -1, 0, 0 }, // S_1243
	{ 114, 0, -1, 0, 0 }, // S_1244
	{ 115, 32768, 1, 109, 1246 }, // S_1245
	{ 115, 32769, 3, 110, 1247 }, // S_1246
	{ 115, 32770, 2, 111, 1248 }, // S_1247
	{ 115, 32771, 3, 0, 1249 }, // S_1248
	{ 115, 32772, 3, 0, 1250 }, // S_1249
	{ 115, 32773, 3, 0, 1251 }, // S_1250
	{ 115, 32774, 3, 0, 1252 }, // S_1251
	{ 115, 32775, 1, 109, 1253 }, // S_1252
	{ 115, 32776, 3, 0, 1254 }, // S_1253
	{ 115, 32777, 3, 0, 1255 }, // S_1254
	{ 115, 32778, 3, 0, 1256 }, // S_1255
	{ 115, 32779, 3, 0, 1257 }, // S_1256
	{ 115, 32780, 3, 0, 1258 }, // S_1257
	{ 115, 32781, 3, 0, 1259 }, // S_1258
	{ 115, 32782, 3, 0, 1260 }, // S_1259
	{ 115, 32783, 3, 0, 1261 }, // S_1260
	{ 115, 32784, 3, 0, 1262 }, // S_1261
	{ 115, 32785, 3, 0, 1263 }, // S_1262
	{ 115, 32786, 3, 0, 1264 }, // S_1263
	{ 115, 32787, 3, 0, 1265 }, // S_1264
	{ 115, 32788, 3, 0, 1266 }, // S_1265
	{ 115, 32789, 3, 0, 1267 }, // S_1266
	{ 115, 32790, 3, 0, 1268 }, // S_1267
	{ 115, 32791, 3, 0, 1269 }, // S_1268
	{ 115, 32792, 3, 0, 0 }, // S_1269
	{ 116, 0, 10, 58, 1270 }, // S_1270
	{ 116, 0, 4, 59, 1272 }, // S_1271
	{ 116, 0, 4, 59, 1273 }, // S_1272
	{ 116, 1, 4, 59, 1274 }, // S_1273
	{ 116, 1, 4, 59, 1271 }, // S_1274
	{ 116, 0, 8, 49, 1276 }, // S_1275
	{ 116, 1, 4, 49, 1271 }, // S_1276
	{ 117, 0, 2, 53, 1277 }, // S_1277
	{ 117, 1, 1, 53, 1279 }, // S_1278
	{ 117, 2, 1, 39, 1277 }, // S_1279
	{ 118, 0, -1, 0, 0 }, // S_1280
	{ 119, 0, -1, 0, 0 }, // S_1281
	{ 120, 0, -1, 0, 0 }, // S_1282
	{ 121, 0, -1, 0, 0 }, // S_1283
	{ 122, 0, -1, 0, 0 }, // S_1284
	{ 123, 0, 5, 0, 1286 }, // S_1285
	{ 123, 1, 5, 0, 1285 }, // S_1286
	{ 123, 2, -1, 0, 1286 }, // S_1287
	{ 124, 0, 4, 36, 1288 }, // S_1288
	{ 125, 0, 4, 36, 1289 }, // S_1289
	{ 126, 0, 4, 36, 1290 }, // S_1290
	{ 127, 0, 4, 36, 1291 }, // S_1291
	{ 128, 0, 5, 36, 1293 }, // S_1292
	{ 128, 1, 5, 36, 1294 }, // S_1293
	{ 128, 2, 5, 36, 1292 }, // S_1294
	{ 129, 0, -1, 0, 0 }, // S_1295
	{ 130, 0, -1, 0, 0 }, // S_1296
	{ 131, 0, -1, 0, 0 }, // S_1297
	{ 132, 0, 35, 0, 1299 }, // S_1298
	{ 132, 1, 35, 0, 1298 }, // S_1299
	{ 133, 0, 700, 0, 0 }, // S_1300
	{ 133, 1, 700, 0, 0 }, // S_1301
	{ 133, 2, 700, 0, 0 }, // S_1302
	{ 133, 3, 700, 0, 0 }, // S_1303
	{ 133, 4, 700, 0, 0 }, // S_1304
	{ 133, 5, 700, 0, 0 }, // S_1305
	{ 133, 6, 700, 0, 0 }, // S_1306
	{ 133, 7, 700, 0, 0 }, // S_1307
	{ 133, 8, 700, 0, 0 }, // S_1308
	{ 133, 9, 700, 0, 0 }, // S_1309
	{ 133, 10, 700, 0, 0 }, // S_1310
	{ 133, 11, 700, 0, 0 }, // S_1311
	{ 133, 12, 700, 0, 0 }, // S_1312
	{ 133, 13, 700, 0, 0 }, // S_1313
	{ 133, 14, 700, 0, 0 }, // S_1314
	{ 133, 15, 700, 0, 0 }, // S_1315
	{ 133, 16, 700, 0, 0 }, // S_1316
	{ 133, 17, 700, 0, 0 }, // S_1317
	{ 133, 18, 700, 0, 0 }, // S_1318
	{ 133, 19, 700, 0, 0 }, // S_1319
	{ 134, 0, 700, 0, 0 }, // S_1320
	{ 134, 1, 700, 0, 0 }, // S_1321
	{ 134, 2, 700, 0, 0 }, // S_1322
	{ 134, 3, 700, 0, 0 }, // S_1323
	{ 134, 4, 700, 0, 0 }, // S_1324
	{ 134, 5, 700, 0, 0 }, // S_1325
	{ 134, 6, 700, 0, 0 }, // S_1326
	{ 134, 7, 700, 0, 0 }, // S_1327
	{ 134, 8, 700, 0, 0 }, // S_1328
	{ 134, 9, 700, 0, 0 }, // S_1329
	{ 134, 10, 700, 0, 0 }, // S_1330
	{ 134, 11, 700, 0, 0 }, // S_1331
	{ 134, 12, 700, 0, 0 }, // S_1332
	{ 134, 13, 700, 0, 0 }, // S_1333
	{ 134, 14, 700, 0, 0 }, // S_1334
	{ 134, 15, 700, 0, 0 }, // S_1335
	{ 134, 16, 700, 0, 0 }, // S_1336
	{ 134, 17, 700, 0, 0 }, // S_1337
	{ 134, 18, 700, 0, 0 }, // S_1338
	{ 134, 19, 700, 0, 0 }, // S_1339
	{ 135, 0, 9, 0, 1341 }, // S_1340
	{ 135, 1, 9, 0, 1342 }, // S_1341
	{ 135, 2, 9, 0, 1343 }, // S_1342
	{ 135, 3, 9, 0, 0 }, // S_1343
	{ 136, 0, -1, 0, 0 }, // S_1344
	{ 137, 0, -1, 0, 0 }, // S_1345
	{ 137, 0, 30, 0, 1347 }, // S_1346
	{ 137, 0, 160, 112, 1346 }, // S_1347
	{ 138, 0, -1, 0, 0 }, // S_1348
	{ 139, 0, -1, 0, 0 }, // S_1349
	{ 140, 0, -1, 0, 0 }, // S_1350
	{ 140, 1, 2, 47, 1352 }, // S_1351
	{ 140, 2, 2, 0, 1353 }, // S_1352
	{ 140, 3, 2, 41, 1354 }, // S_1353
	{ 140, 4, 2, 0, 1355 }, // S_1354
	{ 140, 5, 2, 0, 1356 }, // S_1355
	{ 140, 6, 2, 0, 1357 }, // S_1356
	{ 140, 7, -1, 0, 0 }, // S_1357
	{ 141, 0, -1, 0, 0 }, // S_1358
	{ 141, 32769, 2, 47, 1360 }, // S_1359
	{ 141, 32770, 2, 0, 1361 }, // S_1360
	{ 141, 32771, 2, 0, 1362 }, // S_1361
	{ 141, 32772, 2, 41, 1363 }, // S_1362
	{ 141, 32773, 2, 38, 1364 }, // S_1363
	{ 141, 32774, 2, 0, 1365 }, // S_1364
	{ 141, 32775, 2, 0, 1366 }, // S_1365
	{ 141, 32776, 2, 0, 1367 }, // S_1366
	{ 141, 32777, 3, 0, 1368 }, // S_1367
	{ 141, 32778, 3, 0, 1369 }, // S_1368
	{ 141, 11, -1, 0, 0 }, // S_1369
	{ 142, 0, -1, 0, 0 }, // S_1370
	{ 143, 0, -1, 0, 0 }, // S_1371
	{ 144, 32768, 4, 0, 1373 }, // S_1372
	{ 144, 32769, 4, 0, 1374 }, // S_1373
	{ 144, 32770, 4, 0, 1375 }, // S_1374
	{ 144, 32771, 4, 0, 1372 }, // S_1375
	{ 145, 32768, 4, 36, 1377 }, // S_1376
	{ 145, 32769, 4, 0, 1378 }, // S_1377
	{ 145, 32770, 4, 0, 1379 }, // S_1378
	{ 145, 32771, 4, 0, 1376 }, // S_1379
	{ 146, 32768, 4, 36, 1381 }, // S_1380
	{ 146, 32769, 4, 0, 1382 }, // S_1381
	{ 146, 32770, 4, 0, 1383 }, // S_1382
	{ 146, 32771, 4, 0, 1380 }, // S_1383
	{ 147, 32768, 4, 36, 1385 }, // S_1384
	{ 147, 32769, 4, 0, 1386 }, // S_1385
	{ 147, 32770, 4, 0, 1387 }, // S_1386
	{ 147, 32771, 4, 0, 1384 }, // S_1387
	{ 148, 32768, 4, 0, 1389 }, // S_1388
	{ 148, 32769, 4, 0, 1390 }, // S_1389
	{ 148, 32770, 4, 0, 1391 }, // S_1390
	{ 148, 32771, 4, 0, 1388 }, // S_1391
	{ 149, 32768, 4, 36, 1393 }, // S_1392
	{ 149, 32769, 4, 0, 1394 }, // S_1393
	{ 149, 32770, 4, 0, 1395 }, // S_1394
	{ 149, 32771, 4, 0, 1392 }, // S_1395
	{ 150, 32768, 4, 36, 1397 }, // S_1396
	{ 150, 32769, 4, 0, 1398 }, // S_1397
	{ 150, 32770, 4, 0, 1399 }, // S_1398
	{ 150, 32771, 4, 0, 1396 }, // S_1399
	{ 151, 0, -1, 0, 0 }, // S_1400
	{ 152, 0, -1, 0, 0 }, // S_1401
	{ 153, 0, -1, 0, 0 }, // S_1402
	{ 154, 0, -1, 0, 0 }, // S_1403
	{ 155, 0, -1, 0, 0 }, // S_1404
	{ 156, 0, -1, 0, 0 }, // S_1405
	{ 157, 0, -1, 0, 0 }, // S_1406
	{ 158, 0, -1, 0, 0 }, // S_1407
	{ 159, 0, -1, 0, 0 }, // S_1408
	{ 160, 0, -1, 0, 0 }, // S_1409
	{ 161, 0, 16, 36, 1411 }, // S_1410
	{ 161, 1, 5, 36, 1412 }, // S_1411
	{ 161, 2, 4, 36, 1413 }, // S_1412
	{ 161, 3, 4, 36, 1414 }, // S_1413
	{ 161, 4, 4, 36, 1415 }, // S_1414
	{ 161, 5, 4, 36, 1410 }, // S_1415
	{ 162, 0, -1, 0, 0 }, // S_1416
	{ 163, 0, -1, 0, 0 }, // S_1417
	{ 164, 0, -1, 0, 0 }, // S_1418
	{ 165, 0, -1, 0, 0 }, // S_1419
	{ 166, 0, -1, 0, 0 }, // S_1420
	{ 167, 0, -1, 0, 0 }, // S_1421
	{ 168, 0, -1, 0, 0 }, // S_1422
	{ 169, 0, -1, 0, 0 }, // S_1423
	{ 170, 0, -1, 0, 0 }, // S_1424
	{ 171, 0, -1, 0, 0 }, // S_1425
	{ 172, 0, -1, 0, 0 }, // S_1426
	{ 173, 0, -1, 0, 0 }, // S_1427
	{ 174, 0, -1, 0, 0 }, // S_1428
	{ 175, 0, -1, 0, 0 }, // S_1429
	{ 176, 0, -1, 0, 0 }, // S_1430
	{ 177, 0, -1, 0, 0 }, // S_1431
	{ 178, 0, -1, 0, 0 }, // S_1432
	{ 179, 0, -1, 0, 0 }, // S_1433
	{ 180, 0, -1, 0, 0 }, // S_1434
	{ 181, 0, 17, 57, 1436 }, // S_1435
	{ 181, 0, 17, 65, 1437 }, // S_1436
	{ 181, 0, 17, 56, 1438 }, // S_1437
	{ 181, 0, 17, 65, 1435 }, // S_1438
	{ 182, 0, -1, 0, 0 }, // S_1439
	{ 183, 0, -1, 0, 0 }, // S_1440
	{ 184, 0, -1, 0, 0 }, // S_1441
	{ 185, 32768, 6, 0, 1443 }, // S_1442
	{ 185, 32769, 6, 0, 1442 }, // S_1443
	{ 186, 32768, 6, 0, 1445 }, // S_1444
	{ 186, 32769, 6, 0, 1444 }, // S_1445
	{ 187, 0, -1, 0, 0 }, // S_1446
	{ 188, 0, -1, 0, 0 }, // S_1447
	{ 189, 0, -1, 0, 0 }, // S_1448
	{ 190, 0, -1, 0, 0 }, // S_1449
	{ 191, 0, 6, 0, 1451 }, // S_1450
	{ 191, 1, 6, 0, 1450 }, // S_1451
	{ 192, 0, 6, 0, 1453 }, // S_1452
	{ 192, 1, 6, 0, 1452 }, // S_1453
	{ 193, 0, -1, 0, 0 }, // S_1454
	{ 194, 0, -1, 0, 0 }, // S_1455
	{ 195, 0, -1, 0, 0 }, // S_1456
	{ 196, 0, -1, 0, 0 }, // S_1457
	{ 28, 0, -1, 0, 0 }, // S_1458
	{ 197, 0, -1, 0, 0 }, // S_1459
	{ 198, 32768, -1, 0, 0 }, // S_1460
	{ 199, 0, -1, 0, 0 }, // S_1461
	{ 199, 1, -1, 0, 0 }, // S_1462
	{ 200, 0, -1, 0, 0 }, // S_1463
	{ 201, 0, -1, 0, 0 }, // S_1464
	{ 202, 0, -1, 0, 0 }, // S_1465
	{ 203, 0, -1, 0, 0 }, // S_1466
	{ 204, 0, -1, 0, 0 }, // S_1467
	{ 205, 0, -1, 0, 0 }, // S_1468
	{ 206, 0, -1, 0, 0 }, // S_1469
	{ 206, 1, -1, 0, 0 }, // S_1470
	{ 206, 2, -1, 0, 0 }, // S_1471
	{ 206, 3, -1, 0, 0 }, // S_1472
	{ 206, 4, -1, 0, 0 }, // S_1473
	{ 207, 32768, -1, 0, 0 }, // S_1474
	{ 208, 32768, -1, 0, 0 }, // S_1475
	{ 209, 32768, -1, 0, 0 }, // S_1476
	{ 210, 32768, -1, 0, 0 }, // S_1477
	{ 211, 32768, -1, 0, 0 }, // S_1478
	{ 212, 32768, -1, 0, 0 }, // S_1479
	{ 213, 0, -1, 0, 0 }, // S_1480
	{ 214, 0, -1, 0, 0 }, // S_1481
	{ 215, 0, -1, 0, 0 }, // S_1482
	{ 216, 0, -1, 0, 0 }, // S_1483
	{ 217, 0, 5, 36, 1485 }, // S_1484
	{ 217, 1, 5, 36, 1486 }, // S_1485
	{ 217, 2, 5, 36, 1487 }, // S_1486
	{ 217, 3, 5, 36, 1484 }, // S_1487
	{ 218, 0, -1, 0, 0 }, // S_1488
	{ 219, 0, -1, 0, 0 }, // S_1489
	{ 220, 0, -1, 0, 0 }, // S_1490
	{ 221, 0, -1, 0, 0 }, // S_1491
	{ 222, 0, -1, 0, 0 }, // S_1492
	{ 223, 0, -1, 0, 0 }, // S_1493
	{ 224, 0, -1, 0, 0 }, // S_1494
	{ 225, 0, -1, 0, 0 }, // S_1495
	{ 226, 0, -1, 0, 0 }, // S_1496
	{ 227, 0, -1, 0, 0 }, // S_1497
	{ 228, 0, -1, 0, 0 }, // S_1498
	{ 229, 0, -1, 0, 0 }, // S_1499
	{ 230, 0, -1, 0, 0 }, // S_1500
	{ 231, 0, -1, 0, 0 }, // S_1501
	{ 231, 1, -1, 0, 0 }, // S_1502
	{ 231, 2, -1, 0, 0 }, // S_1503
	{ 232, 0, -1, 0, 0 }, // S_1504
	{ 233, 0, -1, 0, 0 }, // S_1505
	{ 234, 0, -1, 0, 0 }, // S_1506
	{ 235, 0, -1, 0, 0 }, // S_1507
	{ 236, 0, -1, 0, 0 }, // S_1508
	{ 237, 0, -1, 0, 0 }, // S_1509
	{ 237, 1, -1, 0, 0 }, // S_1510
	{ 238, 0, -1, 0, 0 }, // S_1511
	{ 239, 0, -1, 0, 0 }, // S_1512
	{ 240, 0, -1, 0, 0 }, // S_1513
	{ 241, 0, -1, 0, 0 }, // S_1514
	{ 242, 0, -1, 0, 0 }, // S_1515
	{ 242, 1, -1, 0, 0 }, // S_1516
	{ 243, 0, -1, 0, 0 }, // S_1517
	{ 244, 0, 4, 36, 1518 }, // S_1518
	{ 245, 0, -1, 0, 0 }, // S_1519
	{ 246, 0, 6, 36, 1521 }, // S_1520
	{ 246, 1, 4, 0, 1522 }, // S_1521
	{ 246, 2, 4, 0, 1523 }, // S_1522
	{ 246, 3, 4, 36, 1524 }, // S_1523
	{ 246, 4, 4, 0, 1525 }, // S_1524
	{ 246, 5, 4, 0, 1526 }, // S_1525
	{ 246, 6, 4, 36, 1527 }, // S_1526
	{ 246, 7, 4, 0, 1520 }, // S_1527
	{ 247, 0, 10, 0, 1529 }, // S_1528
	{ 247, 1, 8, 0, 1530 }, // S_1529
	{ 247, 2, 8, 0, 1531 }, // S_1530
	{ 247, 3, 8, 0, 1528 }, // S_1531
	{ 248, 0, 4, 0, 1533 }, // S_1532
	{ 248, 1, 4, 0, 1534 }, // S_1533
	{ 248, 2, 4, 0, 1535 }, // S_1534
	{ 248, 3, 8, 0, 1536 }, // S_1535
	{ 248, 4, 4, 0, 1537 }, // S_1536
	{ 248, 5, 4, 0, 1538 }, // S_1537
	{ 248, 6, 4, 0, 1539 }, // S_1538
	{ 248, 7, 4, 36, 1532 }, // S_1539
	{ 249, 0, 4, 0, 1541 }, // S_1540
	{ 249, 1, 4, 0, 1542 }, // S_1541
	{ 249, 2, 4, 0, 1543 }, // S_1542
	{ 249, 3, 4, 36, 1540 }, // S_1543
	{ 250, 32768, 4, 0, 1545 }, // S_1544
	{ 250, 32769, 4, 0, 1546 }, // S_1545
	{ 250, 32770, 4, 0, 1544 }, // S_1546
	{ 251, 32768, 3, 0, 1548 }, // S_1547
	{ 251, 32769, 3, 0, 1549 }, // S_1548
	{ 251, 32770, 3, 0, 1550 }, // S_1549
	{ 251, 32771, 3, 0, 1547 }, // S_1550
	{ 252, 0, -1, 0, 0 }, // S_1551
	{ 253, 0, -1, 0, 0 }, // S_1552
	{ 254, 0, -1, 0, 0 }, // S_1553
	{ 255, 0, -1, 0, 0 }, // S_1554
	{ 256, 0, 4, 0, 1556 }, // S_1555
	{ 256, 1, 5, 0, 1557 }, // S_1556
	{ 256, 2, 5, 0, 1558 }, // S_1557
	{ 256, 3, 5, 0, 1555 }, // S_1558
	{ 257, 0, -1, 0, 0 }, // S_1559
	{ 257, 1, -1, 0, 0 }, // S_1560
	{ 257, 2, -1, 0, 0 }, // S_1561
	{ 257, 3, -1, 0, 0 }, // S_1562
	{ 257, 4, -1, 0, 0 }, // S_1563
	{ 257, 5, -1, 0, 0 }, // S_1564
};

void MarkSpecialWeaponStates(void)
{
	MarkWeaponState(2);
	MarkWeaponState(6);
	MarkWeaponState(10);
	MarkWeaponState(11);
	MarkWeaponState(12);
	MarkWeaponState(31);
	MarkWeaponState(34);
	MarkWeaponState(35);
	MarkWeaponState(36);
	MarkWeaponState(37);
	MarkWeaponState(82);
	MarkWeaponState(86);
	MarkWeaponState(87);
	MarkWeaponState(88);
	MarkWeaponState(104);
	MarkWeaponState(105);
	MarkWeaponState(106);
	MarkWeaponState(107);
	MarkWeaponState(108);
	MarkWeaponState(109);
	MarkWeaponState(114);
	MarkWeaponState(115);
	MarkWeaponState(116);
	MarkWeaponState(118);
	MarkWeaponState(119);
	MarkWeaponState(120);
	MarkWeaponState(121);
}

//**************************************************************************
//
//	$Log: statinfo.cpp,v $
//	Revision 1.4  2001/12/12 19:20:31  dj_jl
//	States using methods
//	
//	Revision 1.3  2001/09/20 16:35:58  dj_jl
//	Beautification
//	
//	Revision 1.2  2001/07/27 14:27:56  dj_jl
//	Update with Id-s and Log-s, some fixes
//
//**************************************************************************